<button *ngIf="language$ | async as currentLang" mat-button [matMenuTriggerFor]="menu">
  <div fxLayout="row" fxLayoutAlign="start center">
    <img class="icon" [src]="'assets/images/flags/' + currentLang + '.svg'" />

    {{ languages[currentLang] | translate }}
  </div>
</button>
<mat-menu #menu="matMenu">
  <button
    (click)="setLanguage(language.key)"
    *ngFor="let language of languages | keyvalue"
    mat-menu-item
  >
    <div fxLayout="row" fxLayoutAlign="start center">
      <img class="icon" [src]="'assets/images/flags/' + language.key + '.svg'" />
      {{ language.value | translate }}
    </div>
  </button>
</mat-menu>
